; --------------------------------------------------------------------------------
; DETERMINACAO DA FAMILIA DO MICROCONTROLADO CORRENTE                   03/10/2015
;
; Substitui a macro FAMILIAS de 06/08/2011
;
; Estarquivo gera o simbolbo __FAMILIA identificando o tipo de microcontrolador
; que esta sendo usado, permitindo que outras macros gerem codigos apropriados
; para cada um.
;
; --------------------------------------------------------------------------------
#define   __FAMILIAS_SYMBOL 1

          VARIABLE     __FAMILIA
__FAMILIA SET          0

          IFDEF  __12F675
__FAMILIA SET    12
          ENDIF

          IFDEF  __16F688
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F628A
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F73
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F873A
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F877A
__FAMILIA SET    16
          ENDIF

          IFDEF  __18F2550
__FAMILIA SET    18
          ENDIF

          IFDEF  __18F4520
__FAMILIA SET    18
          ENDIF

          IFDEF  __18F4620
__FAMILIA SET    18
          ENDIF

          IFDEF  __18F4550
__FAMILIA SET    18
          ENDIF
